        SUBROUTINE BT_BSEC ( mszrpt, report, ierr1 )
C************************************************************************
C* BT_BSEC                                                              *
C*                                                                      *
C* This subroutine calls the routines which decode the four sections    *
C* that comprise the bathy report.                                      *
C*			 					        *
C* BT_BSEC  ( MSZRPT, REPORT, IERR1 )                                   *
C*								        *
C* Input parameters:						        *
C*								        *
C*      MSZRPT          INTEGER         Report size in bytes            *
C*      REPORT          CHAR*           Report array                    *
C*								        *
C* Output parameters:						        *
C*								        *
C*      IERR1           INTEGER         Return code                     *
C*				   	  0 = Normal return 	        *
C*                                        1 = Problems                  *
C**								        *
C* Log:								        *
C* R. Hollern/NCEP     11/98                                            *
C* R. Hollern/NCEP     01/99   Generalized routine to decode either     *
C*                             bathy or tesac reports                   *
C************************************************************************
        INCLUDE 	'btcmn.cmn'
C* 
        CHARACTER*(*)   report
C------------------------------------------------------------------------
        ierr1 = 0
C
C*      Get the ship or buoy ID.
C
        CALL BT_RPID ( mszrpt, report, lenrpt, ierr2 )
C
        IF ( ierr2 .eq. 2 ) THEN
            ierr1 = 1
            RETURN
        END IF
C
C*      Decode section 1 of bathy report.
C
        CALL BT_SEC1 ( report, ipt, ierr2 )
C
        IF ( ierr2 .eq. 1 ) THEN
            ierr1 = 1
            RETURN
        END IF
C
C*      Decode the groups in sections 2 and 3.
C
        CALL BT_BSC2 ( lenrpt, report, ipt, ierr2 )
C*
	RETURN
        END
