#ifdef UNDERSCORE
#define bt_icpt bt_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif

/*  Maximum number of layers of depth/temp/salinity/current data */

#define MXDLYR  1000

/*  Number of TRACKOB parameters with averaging periods */

#define TRKAVP  3

/*  Number of real single-level interface mnemonics  */

#define NRSLMN  23

/*  Total number of real interface mnemnonics (total number
    of multi-layer data + single-level data + total number of
    counters for multi-layer data  */

#define NRIMN ( NRSLMN + ( 2 * ( ( 3 * MXDLYR ) + 1 ) ) +  ( TRKAVP + 1 ) )

/*  Number of character single-level interface mnemonics  */

#define NCIMN   1

extern struct {
    int irslat ; int irslon ; int irselv ; int irydgt ; int irmnth ;
    int irdays ; int irhour ; int irminu ; int iriuws ; int irdrct ;
    int irsped ; int irtmpc ; int iridgt ; int iriwtm ; int irwtmr ;
    int irsstc ; int irtowd ; int irmcms ; int irmsdm ; int irucsp ;
    int irmrmv ; int irpocm ; int irdtcc ; 
    int irndts ; int irdbss[MXDLYR] ; int irstmp[MXDLYR] ;
                 int irsaln[MXDLYR] ; 
    int irnddc ; int irdbsc[MXDLYR] ; int irdroc[MXDLYR] ;
                 int irspoc[MXDLYR] ; 
    int irntrk ; int iravgp[TRKAVP] ;
} rintfp;


/*  Real interface values  */

extern struct {
    float rivals[NRIMN];
} rintfv;

/*  Pointers to relative locations of character interface mnemonics
    within cimnem[].  These pointers will be set by bt_icsp and then
    used as indices into the character interface values array civals[]  */

extern struct {
    int icstid ;
} cintfp;

extern struct {
    char civals[NCIMN][8];
} cintfv;
